SmartPos SDK for Android 1.4.1

Public Member Functions | Static Public Attributes
com.paydevice.smartpos.sdk.fingerprint.FingerPrintManager Class Reference

Class of FingerPrintManager implement. More...

## Public Member Functions
void | init () throws SmartPosException
| Initialize fingerprint. More...
void | deinit ()
| Deinitialize fingerprint. More...
int | getBitmapWidth ()
| To get the image width of the fingerprint. More...
int | getBitmapHeight ()
| To get the image height of the fingerprint. More...
byte[] | getBitmapBytes () throws SmartPosException
| To get fingerprint image(bitmap 256 level gray) More...
byte[] | getMinutiae () throws SmartPosException
int | compare (byte[] probe, byte[] candidate) throws SmartPosException
| (TODO)1:1 comparison More...

## Static Public Attributes
static final int | FINGERPRINT_ERR_NO_INIT = 1
static final int | FINGERPRINT_ERR_INIT = 2
static final int | FINGERPRINT_ERR_DEINIT = 3
static final int | FINGERPRINT_ERR_ALREADY_INIT = 4
static final int | FINGERPRINT_ERR_NO_FINGER = 7
static final int | FINGERPRINT_ERR_IMAGE_UNCLEAR = 8
static final int | FINGERPRINT_ERR_IO = 99
static final int | FINGERPRINT_FINGER_PRESENT = KeyEvent.KEYCODE_PROG_RED

## Detailed Description

Class of FingerPrintManager implement.

## Member Function Documentation

## ◆ compare()

int com.paydevice.smartpos.sdk.fingerprint.FingerPrintManager.compare | ( | byte[] | probe,
|  | byte[] | candidate
| ) |  | throws SmartPosException

(TODO)1:1 comparison

Parameters

  probe |
  candidate |

Returns

## ◆ deinit()

void com.paydevice.smartpos.sdk.fingerprint.FingerPrintManager.deinit | ( |  | ) |

Deinitialize fingerprint.

Returns

## ◆ getBitmapBytes()

byte [] com.paydevice.smartpos.sdk.fingerprint.FingerPrintManager.getBitmapBytes | ( |  | ) | throws SmartPosException

To get fingerprint image(bitmap 256 level gray)

Returns
  return image byte array(include bmp header,header size is 1078)

## ◆ getBitmapHeight()

int com.paydevice.smartpos.sdk.fingerprint.FingerPrintManager.getBitmapHeight | ( |  | ) |

To get the image height of the fingerprint.

Returns

## ◆ getBitmapWidth()

int com.paydevice.smartpos.sdk.fingerprint.FingerPrintManager.getBitmapWidth | ( |  | ) |

To get the image width of the fingerprint.

Returns

## ◆ getMinutiae()

byte [] com.paydevice.smartpos.sdk.fingerprint.FingerPrintManager.getMinutiae | ( |  | ) | throws SmartPosException

    (TODO)Gets the fingerprint minutiae
    refer to ISO/IEC 19794-2:2005

Returns
  fingerprint minutiae or null

## ◆ init()

void com.paydevice.smartpos.sdk.fingerprint.FingerPrintManager.init | ( |  | ) | throws SmartPosException

Initialize fingerprint.

Returns

The documentation for this class was generated from the following file:

- src/com/paydevice/smartpos/sdk/fingerprint/FingerPrintManager.java